net.sf.cglib.core

## Class Block

- java.lang.Object
- - net.sf.cglib.core.Block

-     public class Block
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Block(CodeEmitter e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()`
    `CodeEmitter` | `getCodeEmitter()`
    `Label` | `getEnd()`
    `Label` | `getStart()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Block

          public Block(CodeEmitter e)

  - ### Method Detail

    - #### getCodeEmitter

          public CodeEmitter getCodeEmitter()

    - #### end

          public void end()

    - #### getStart

          public Label getStart()

    - #### getEnd

          public Label getEnd()

Copyright (c) 2001 - Apache Software Foundation